JDK 11 and nuxeo lts2019

Hi,

I use Nuxeo 10.10. In the documentation you recommand to install a JDK8 (https://doc.nuxeo.com/nxdoc/installing-and-setting-up-related-software/#installing-on-linux)

Is it possible to use jdk-11 version with nuxeo lts2019?

Thank you.

0 votes

1 answers

276 views

ANSWER



Hello,

yes, you can use JDK 11. If you check the compatibility matrix (https://doc.nuxeo.com/nxdoc/1010/compatibility-matrix/ ) you will see:

Supported Java versions: JDK 8 (Oracle's JDK or OpenJDK) and greater.

You can also check it in the release notes of LTS 2019: https://doc.nuxeo.com/nxdoc/nuxeo-server-release-notes/#java-11-support

Nuxeo Platform LTS 2019 is supported on Java 8 and Java 11.

Regards.

0 votes



Thank you for your reply.
01/22/2020